<?php get_header();
        while(have_posts()) {
        the_post(); 
        ?>
        
    <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>><div class="page-banner">
      <div class="page-banner__bg-color"></div>
      <?php if (get_theme_mod( 'wda_renaissance_single_page_banner_animations', '1' )) { ?> <div class="frame"><span class="span-l"></span></div> <?php } ?>
      <div class="page-banner__content container container--narrow">
        <h1 class="page-banner__title page-banner__title_single_page"><?php the_title(); ?></h1>
      </div>
    </div>
 
    <div class="wda-container-bg">
    <div role="main" class="container container--narrow page-section">
 

      <?php 
          $parentPageId = wp_get_post_parent_id(get_the_ID());

          if ($parentPageId) { ?>
            <div class="metabox-page metabox--page-position-up metabox--with-home-link">
              <p>
                <a class="metabox__blog-home-link" href="<?php echo esc_url(get_permalink($parentPageId)); ?>"><i class="fa fa-home" aria-hidden="true"></i> <?php echo esc_html__('Back to', 'renaissance-wda'); ?> <?php echo esc_html(get_the_title($parentPageId)); ?></a>
              </p>
             </div>
          <?php }
      ?>


      <?php
      $notParentPage = get_pages(array(
        'child_of' => get_the_ID()
      ));
 
      if ($parentPageId or $notParentPage) { ?>
      <div class="wda-page-links">
        <h2 class="page-links__title"><a href="<?php echo esc_url(get_permalink($parentPageId)); ?>"><?php echo esc_html(get_the_title($parentPageId)); ?></a></h2>
        <ul class="min-list">
          <?php
            if ($parentPageId) {
              $findChildOf = $parentPageId;
            } else {
              $findChildOf = get_the_ID();
            }

            wp_list_pages(array(
              'title_li' => NULL,
              'child_of' => $findChildOf,
              'sort_column' => 'menu_order'
            ));
          ?>
        </ul>
      </div>
      <?php } ?>


      <div class="generic-content" id="content_navigator">
        <?php 
        the_content();
        ?>
    </div>

    <div class="wda-wp-link-pages">
      <?php 
        wp_link_pages( array(
          'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'renaissance-wda' ),
          'after'  => '</div>',
        ) ); 
        ?>
      </div>

      
        <?php 
                  if ( comments_open() || get_comments_number() ) {
                    ?> <div class="wda-comment-respond"><?php
                    comments_template();
                    ?> </div><?php
                  }
        ?>

    </div></div></article>

    <?php } get_footer(); ?>