<?php get_header(); ?>

<div class="page-banner">
      <div class="search-banner__bg-color"></div>
      <?php if (get_theme_mod( 'wda_renaissance_search_banner_animations', '1' )) { ?> <div class="frame"><span class="span-l"></span></div> <?php } ?>
      <div class="page-banner__content container container--narrow">
        <h1 class="page-banner__title page-banner__title_search"><?php echo esc_html__( 'Search Results', 'renaissance-wda'); ?></h1>
      </div>
    </div>

<?php
 
$s=get_search_query();
$args = array(
                's' =>$s,
                'paged' => get_query_var('paged', -1),
            );
   ?>   

   <div class="wda-container-bg">
   <div class="container container-with-sidebar page-section" id="content_navigator">
   <div role="main" class="wda-posts-and-pagination">

   <div class="blog-content-and-pagination">
    
    <?php
$the_query = new WP_Query( $args );
if ( $the_query->have_posts() ) {
        ?>
        <h2 class='wda-search-page-subtitle'>
        <?php
        echo esc_html__( 'Search Results for: ', 'renaissance-wda'); echo get_query_var('s');
        ?>
        </h2>
        <?php
        while ( $the_query->have_posts() ) {
           $the_query->the_post();
                 ?>
                 
          <div class="wda-post-summary-content">

  
                <div class="wda-posttitle"><h5 class="post-list-title"><a href="<?php the_permalink(); ?>">
                <?php if( empty( $post->post_title ) ) { echo esc_html__( 'No Title', 'renaissance-wda'); } else { echo esc_html(wp_trim_words(get_the_title(), 3)); } ?>
                </a></h5></div>
                <div class="wda-postmeta">
                      <div class="wda-post-date"><?php echo esc_html(get_the_date()); ?></div>
                      <div class="wda-post-comment"><a href="<?php comments_link(); ?>" class="wda-post-meta"><?php esc_attr(comments_number()); ?></a></div>
                </div>

                <div class="wda-post-text-content"><p><?php echo esc_html(wp_trim_words(get_the_content(), 20)); ?></p></div>

            </div>
                 <?php
        } 
    } else {
?>      <div class="post-item-with-sidebar">
        <h2 class="wda-search-page-subtitle"><?php echo esc_html__( 'Nothing Found', 'renaissance-wda'); ?></h2>
        <div class="alert alert-info">
          <p><?php echo esc_html__( 'Sorry, but nothing matched your search criteria. Please try again with some different keywords.', 'renaissance-wda'); ?></p>
        </div>
        </div>

<?php } 

?>      </div>

          <div class="blog-content-and-pagination">
            <div class="wda-blog-pagination">                         
            <?php
            echo paginate_links(array(
              'total' => $the_query->max_num_pages,
              'show_all'     => False,
              'end_size'     => 2,
              'mid_size'     => 2,
              'prev_next'    => true,
              'prev_text'    => esc_attr('<'),
              'next_text'    => esc_attr('>'),
              'type'         => 'list',
              'add_args'     => False,
              'add_fragment' => '',
              'before_page_number' => '',
              'after_page_number'  => ''
            ));
            ?>
            </div>
          </div>

        <div class="perform-new-search"><p><?php echo esc_html__( 'Perform a new search:', 'renaissance-wda'); ?></p>
        <div class="wda-search-page-form">
        <?php get_search_form(); ?>
        </div>
        </div>
        </div>

        <div role="complementary" class="wda-sidebar-container">
          <div class="wda-sidebar-container-inside">
            <?php get_sidebar(); ?>
          </div>
        </div>
        </div>
        </div>

<?php get_footer(); ?>




