<?php get_header(); ?>

    <div class="page-banner">
        <div class="archive-banner__bg-color"></div>
        <?php if (get_theme_mod( 'wda_renaissance_archive_banner_animations', '1' )) { ?> <div class="frame"><span class="span-l"></span></div> <?php } ?>
            <div class="page-banner__content container container--narrow">
            <h1 class="page-banner__title page-banner__title_archive"><?php the_archive_title(); ?></h1>
        </div>
    </div>
 
    <div class="wda-container-bg">
    <div class="container container-with-sidebar page-section" id="content_navigator">
    <div role="main" class="wda-posts-and-pagination">
    <div class="blog-content-and-pagination">

        <?php 

    if( !is_singular() && have_posts() ) {                                                                  
        while ( have_posts() ) :
          the_post();
      ?>

          <div class="wda-post-summary-content">

        <?php if (has_post_thumbnail() ){
        ?>
            <div class="wda-images-hover-effect"><a href="<?php the_permalink(); ?>"> <div class="figureblogimage"><img src="<?php echo esc_url(get_the_post_thumbnail_url()); ?>" /></div></a></div>

        <?php }       ?> 

                <div class="wda-posttitle"><h5 class="post-list-title"><a href="<?php the_permalink(); ?>">
                <?php if( empty( $post->post_title ) ) { echo esc_html__( 'No Title', 'renaissance-wda'); } else { echo esc_html(wp_trim_words(get_the_title(), 3)); } ?>
                </a></h5></div>
               
                <div class="wda-postmeta">
                      <div class="wda-post-date"><?php echo esc_html(get_the_date()); ?></div>
                      <div class="wda-post-comment"><a href="<?php comments_link(); ?>" class="wda-post-meta"><?php esc_attr(comments_number()); ?></a></div>
                </div>

                <div class="wda-post-text-content"><p><?php echo esc_html(wp_trim_words(get_the_content(), 20)); ?></p></div>

            </div>

        <?php 					endwhile; }
          

        
        ?>  
      </div>
            <div class="blog-content-and-pagination">
                  <div class="wda-blog-pagination">                         
                  <?php
                  echo paginate_links(array(
                    'show_all'     => False,
                    'end_size'     => 2,
                    'mid_size'     => 2,
                    'prev_next'    => true,
                    'prev_text'    => esc_attr('<'),
                    'next_text'    => esc_attr('>'),
                    'type'         => 'list',
                    'add_args'     => False,
                    'add_fragment' => '',
                    'before_page_number' => '',
                    'after_page_number'  => ''
                  ));
                  ?>
                  </div>
            </div>
                                                                        
    </div>

    <div role="complementary" class="wda-sidebar-container">
        <div class="wda-sidebar-container-inside">
          <?php get_sidebar(); ?>
        </div>
    </div>

</div>
</div>
  <?php get_footer(); ?>