(function($) {
    $.fn.menumaker = function(options) {  
     var wdamobilemenu = $(this), settings = $.extend({
       format: "dropdown",
       sticky: false
     }, options);
     return this.each(function() {
      $(this).find(".wdamobilemenubutton").on('click', function(){
        $(this).toggleClass('menu-opened');
        var mainmenu = $(this).next('ul');
        if (mainmenu.hasClass('open')) { 
          mainmenu.slideToggle().removeClass('open');
        }
        else {
          mainmenu.slideToggle().addClass('open');
          if (settings.format === "dropdown") {
            mainmenu.find('ul').show();
          }
        }
      });

       wdamobilemenu.find('li ul').parent().addClass('has-sub');
       multiTg = function() {
           wdamobilemenu.find(".has-sub").prepend('<button class="wda-submenu-button wda-mobile-icon-button" tabindex="0" id="mobilemenusubbutton"></button>');
           wdamobilemenu.find('.wda-submenu-button').on('click', function() {
              $(this).toggleClass('submenu-opened');
              if ($(this).siblings('ul').hasClass('open')) {
                $(this).siblings('ul').removeClass('open').slideToggle();
              }
              else {
                $(this).siblings('ul').addClass('open').slideToggle();
              }
            });
          };
          if (settings.format === 'multitoggle') multiTg();
          else wdamobilemenu.addClass('dropdown');
          if (settings.sticky === true) wdamobilemenu.css('position', 'fixed');
     });
      };
    })(jQuery);
    (function($){
    $(document).ready(function(){
    $("#wdamobilemenu").menumaker({
       format: "multitoggle"
    });
    });
    })(jQuery);