<?php get_header(); 

  if ( get_option('show_on_front') == 'posts' && is_home() && is_front_page() && get_theme_mod( 'wda_renaissance_custom_homepage_display_option' ) == '1' ) {

?>
<div class="wda-container-bg">
<div class="page-banner"  id="content_navigator">
    <div class="page-banner__content container t-center c-white">
      <div class="full-width-banner-split group">
          <div class="full-width-banner-split__one">
            <div class="full-width-banner-split__inner">

            <span class="wda-banner-title"><?php echo esc_html( get_theme_mod( 'wda_renaissance_custom_homepage_banner_title' ) ); ?></span><br>
            <span class="wda-banner-description"><?php echo esc_html( get_theme_mod( 'wda_renaissance_custom_homepage_banner_description' ) );  ?></span><br>
            <span class="wda-banner-text"><?php echo esc_html( get_theme_mod( 'wda_renaissance_custom_homepage_banner_content' ) );  ?></span><br>
            
            <button tabindex="-1" class="banner-border-button">
                <a href="<?php echo esc_url( get_theme_mod( 'wda_renaissance_custom_homepage_banner_button_url' ) );  ?>" class="main-button-banner"><?php echo esc_html( get_theme_mod( 'wda_renaissance_custom_homepage_banner_button_text' ) );  ?></a>
            </button>
            <button tabindex="-1" class="banner-border-second-button">
                <a href="<?php echo esc_url( get_theme_mod( 'wda_renaissance_custom_homepage_banner_second_button_url' ) );  ?>" class="main-button-banner"><?php echo esc_html( get_theme_mod( 'wda_renaissance_custom_homepage_banner_second_button_text' ) );  ?></a>
            </button>            

            </div>
          </div>
          <div class="full-width-banner-split__two">
            <div class="full-width-banner-split__inner">

            <div class="circle-wrapper">
                <div class="banner-content-image">
                    <img src="<?php echo esc_url( get_theme_mod( 'wda_renaissance_custom_homepage_banner_image' ) ); ?>">
                </div>
                <div class="circle"></div>
            </div>

            </div>
          </div>
      </div>
  </div>
  </div>

    <div class="wda-section-title-description">   
        <div class="wda-section-desctiption"><?php echo esc_html( get_theme_mod( 'wda_renaissance_custom_homepage_call_action_desc' ) ); ?></div>
        <div class="wda-section-custom-title"><h3 class="wda-theme-section-custom-title"><?php echo esc_html( get_theme_mod( 'wda_renaissance_custom_homepage_call_action_title' ) ); ?></h3></div>
    </div>
    <div class="full-width-split-action-section-area">
        <div class="full-width-split-action-section">
            <div class="full-width-split__one-action-section">
                    <h2><?php echo esc_html( get_theme_mod( 'wda_renaissance_custom_homepage_call_action_text' ) ); ?></h2> 
            </div>
            <div class="full-width-split__two-action-section">
                    <p class="wda-front-button-p"><a href="<?php echo esc_url( get_theme_mod( 'wda_renaissance_custom_homepage_call_action_button_url' ) ); ?>" class="btn btn--alternative"><?php echo esc_html( get_theme_mod( 'wda_renaissance_custom_homepage_call_action_button_text' ) ); ?></a></p>
            </div>
        </div>
    </div>

    <div class="wda-section-title-description">   
          <div class="wda-section-desctiption"><?php echo esc_html( get_theme_mod( 'wda_renaissance_custom_homepage_latest_post_desctiption' ) ); ?></div>
          <div class="wda-section-custom-title"><h3 class="wda-theme-section-custom-title"><?php echo esc_html( get_theme_mod( 'wda_renaissance_custom_homepage_latest_post_title' ) ); ?></h3></div>
    </div>
    <div class="latest-post-home-container">
    <div class="wda-homepage-latest-posts">
    <?php 
    $the_query = new WP_Query( array (
    'posts_per_page' => 3,
    'post_type' => 'post',
    'orderby' => 'date',
    'order' => 'DESC',
    'post__not_in' => get_option( 'sticky_posts' )
    ));
    if ( $the_query->have_posts() ) :
      while ( $the_query->have_posts() ) : $the_query->the_post();
    ?>

    <div class="home-latest-post-content">
            <?php if (has_post_thumbnail() ){
            ?>
                <div class="wda-images-hover-effect imgcolumn"><a href="<?php the_permalink(); ?>"> <div class="figureblogimage"><img src="<?php echo esc_url(get_the_post_thumbnail_url()); ?>" /></div></a></div>
            <?php }  ?>      
            <div class="wda-posttitle"><h5 class="home-latest-post-list-title"><a href="<?php the_permalink(); ?>">
            <?php if( empty( $post->post_title ) ) { echo esc_html__( 'No Title', 'renaissance-wda'); } else { echo esc_html(wp_trim_words(get_the_title(), 3)); } ?>
            </a></h5></div>
            <div class="home-latest-post-text"><p><?php echo esc_html(wp_trim_words(get_the_content(), 20)); ?></p></div>
    </div>
        <?php endwhile; ?>
      <?php wp_reset_postdata(); ?>
    <?php 
    ?>
  
    <?php else : ?>
    <div class="home-latest-post-content">
          <div class="wda-images-hover-effect imgcolumn"><a href="<?php echo esc_url('#'); ?>"> <div class="figureblogimage"><img src="<?php echo esc_url(get_theme_file_uri('/images/banner-homepage-image.jpg')); ?>" /></div></a></div>
          <div class="wda-posttitle"><h5 class="home-latest-post-list-title"><a href="<?php echo esc_url('#'); ?>"><?php echo esc_html__('Demo Post', 'renaissance-wda'); ?></a></h5></div>
          <div class="home-latest-post-text"><p><?php echo esc_html__( 'This is a demo post, once you add any post, this demo content will simply dissapear from the front-end.', 'renaissance-wda'); ?></p></div>
    </div>
    <div class="home-latest-post-content">
          <div class="wda-images-hover-effect imgcolumn"><a href="<?php echo esc_url('#'); ?>"> <div class="figureblogimage"><img src="<?php echo esc_url(get_theme_file_uri('/images/banner-homepage-image.jpg')); ?>" /></div></a></div>
          <div class="wda-posttitle"><h5 class="home-latest-post-list-title"><a href="<?php echo esc_url('#'); ?>"><?php echo esc_html__('Demo Post', 'renaissance-wda'); ?></a></h5></div>
          <div class="home-latest-post-text"><p><?php echo esc_html__( 'This is a demo post, once you add any post, this demo content will simply dissapear from the front-end.', 'renaissance-wda'); ?></p></div>
    </div>
    <div class="home-latest-post-content">
          <div class="wda-images-hover-effect imgcolumn"><a href="<?php echo esc_url('#'); ?>"> <div class="figureblogimage"><img src="<?php echo esc_url(get_theme_file_uri('/images/banner-homepage-image.jpg')); ?>" /></div></a></div>
          <div class="wda-posttitle"><h5 class="home-latest-post-list-title"><a href="<?php echo esc_url('#'); ?>"><?php echo esc_html__('Demo Post', 'renaissance-wda'); ?></a></h5></div>
          <div class="home-latest-post-text"><p><?php echo esc_html__( 'This is a demo post, once you add any post, this demo content will simply dissapear from the front-end.', 'renaissance-wda'); ?></p></div>
    </div>
    <?php endif; ?>
    </div>
    </div>

    </div>
    </div>    

    <?php 
  } 
  
  else if ( get_option('show_on_front') == 'posts' && is_home() && is_front_page() && get_theme_mod( 'wda_renaissance_custom_homepage_display_option' ) != '1' ) { ?>

    <div class="wda-container-bg">
    <div class="container container-with-sidebar page-section" id="content_navigator">
    <div role="main" class="wda-posts-and-pagination-homepage">
      <div class="blog-content-and-pagination">
      <?php 
        $blogPosts = new WP_Query( array (
        'paged' => get_query_var('paged', -1),
        'post_type' => 'post',
        'orderby' => 'date',
        'order' => 'DESC',
        ));
      
        while($blogPosts->have_posts()) {
            $blogPosts->the_post(); 

      ?>
          <div class="wda-post-summary-content-homepage">
        <?php if (has_post_thumbnail() ){ ?>
             <div class="wda-images-hover-effect"><a href="<?php the_permalink(); ?>"> <div class="figureblogimage"><img src="<?php echo esc_url(get_the_post_thumbnail_url()); ?>" /></div></a></div>
		    <?php }  ?>      
                <div class="wda-posttitle"><h5 class="post-list-title"><a href="<?php the_permalink(); ?>">
                <?php if( empty( $post->post_title ) ) { echo esc_html__( 'No Title', 'renaissance-wda'); } else { echo esc_html(wp_trim_words(get_the_title(), 3)); } ?>
                </a></h5></div>
                <div class="wda-postmeta">
                      <div class="wda-post-date"><?php echo esc_html(get_the_date()); ?></div>
                      <div class="wda-post-comment"><a href="<?php comments_link(); ?>" class="wda-post-meta"><?php esc_attr(comments_number()); ?></a></div>
                      <div class="wda-post-cat-list"><?php echo get_the_category_list(', '); ?></div>
                </div>
                <div class="wda-post-text-content"><p><?php echo esc_html(wp_trim_words(get_the_content(), 20)); ?></p></div>
            </div>
        <?php } ?>  
          </div>
                        <div class="blog-content-and-pagination">
                                    <div class="wda-blog-pagination">                         
                                    <?php
                                    echo paginate_links(array(
                                      'total' => $blogPosts->max_num_pages,
                                      'show_all'     => False,
                                      'end_size'     => 2,
                                      'mid_size'     => 2,
                                      'prev_next'    => true,
                                      'prev_text'    => esc_attr('<'),
                                      'next_text'    => esc_attr('>'),
                                      'type'         => 'list',
                                      'add_args'     => False,
                                      'add_fragment' => '',
                                      'before_page_number' => '',
                                      'after_page_number'  => ''
                                    ));
                                    ?>
                                    </div>
                        </div>                                          
        </div>
    </div>
    </div>

 <?php }



  else {

    while(have_posts()) {
      the_post(); 
      ?>
      <div class="page-banner">
    <div class="page-banner__bg-color"></div>
    <?php if (get_theme_mod( 'wda_renaissance_single_page_banner_animations', '1' )) { ?> <div class="frame"><span class="span-l"></span></div> <?php } ?>
    <div class="page-banner__content container container--narrow">
      <h1 class="page-banner__title page-banner__title_single_page"><?php the_title(); ?></h1>
    </div>
  </div>

  <div class="wda-container-bg">
  <div class="container container--narrow page-section">
    <?php 
        $parentPageId = wp_get_post_parent_id(get_the_ID());

        if ($parentPageId) { ?>
          <div class="metabox-page metabox--page-position-up metabox--with-home-link">
            <p>
              <a class="metabox__blog-home-link" href="<?php echo esc_url(get_permalink($parentPageId)); ?>"><i class="fa fa-home" aria-hidden="true"></i> <?php echo esc_html__( 'Back to', 'renaissance-wda'); ?> <?php echo esc_html(get_the_title($parentPageId)); ?></a>
            </p>
           </div>
        <?php }
    ?>

    <?php
    $notParentPage = get_pages(array(
      'child_of' => get_the_ID()
    ));

    if ($parentPageId or $notParentPage) { ?>
    <div class="wda-page-links">
      <h2 class="page-links__title"><a href="<?php echo esc_url(get_permalink($parentPageId)); ?>"><?php echo esc_html(get_the_title($parentPageId)); ?></a></h2>
      <ul class="min-list">
        <?php
          if ($parentPageId) {
            $findChildOf = $parentPageId;
          } else {
            $findChildOf = get_the_ID();
          }

          wp_list_pages(array(
            'title_li' => NULL,
            'child_of' => $findChildOf,
            'sort_column' => 'menu_order'
          ));
        ?>
      </ul>
    </div>
    <?php } ?>


    <div class="generic-content" id="content_navigator">
      <?php 
      the_content(); 
      ?>
    </div>
      <div class="wda-wp-link-pages">
            <?php 
      wp_link_pages( array(
        'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'renaissance-wda' ),
        'after'  => '</div>',
      ) ); 
            ?>
      </div>

  </div>
  </div>

  <?php }
  
  }

    get_footer();
?>