<?php
/**
 * The sidebar containing the main widget area
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package renaissance_wda
 */

?>

<aside id="primary" class="sidebar-widget-area">


	<?php if (!is_active_sidebar('wda_blog_sidebar')) { ?>

        <section id="search" class="widget widget_search">
            <h3 class="widget-title"><?php esc_html_e('Search', 'renaissance-wda'); ?></h3>
            <?php get_search_form(); ?>
        </section>

        <section id="meta" class="widget widget_meta">
            <h3 class="widget-title"><?php esc_html_e('Meta', 'renaissance-wda'); ?></h3>
            <ul>
                <?php wp_register(); ?>
                <li><?php wp_loginout(); ?></li>
                <?php wp_meta(); ?>
            </ul>
        </section>

        <section id="archives" class="widget widget_archive">
            <h3 class="widget-title"><?php esc_html_e('Archives', 'renaissance-wda'); ?></h3>
            <ul>
                <?php wp_get_archives(); ?>
            </ul>
        </section>

    <?php } else { dynamic_sidebar( 'wda_blog_sidebar' ); } ?>

</aside>
